function UpdateSmoothedMovementDirection () {	
	var h = 0;
	var isdead = isPlayerDead.isDead();
	
	if (!zhitted ) {
		if (alert) {
			if (player.transform.position.x < gameObject.transform.position.x && gameObject.transform.position.x - player.transform.position.x >= 0.1) {
				h = -1;
			}
			else if (player.transform.position.x > gameObject.transform.position.x && player.transform.position.x - gameObject.transform.position.x >= 0.1) {
				h = 1;
			}
		}
		
		// Calculate range
		if (inrange || isdead) h = 0;
		var dist = Vector3.Distance(player.transform.position, gameObject.transform.position);
		if (Mathf.Abs(dist) < 20) alert = true;
		if (Mathf.Abs(dist) < 1.8) inrange = true;
		else inrange = false;
		
		movement.isMoving = Mathf.Abs (h) > 0.1;
		
		if (movement.isMoving) {
			movement.direction = Vector3 (h, 0, player.transform.position.z-gameObject.transform.position.z);
			movement.direction.Normalize();
		}
		
		// Smooth the speed based on the current target direction
		var curSmooth = 0.0;
		// Choose target speed
		var targetSpeed = Mathf.Min (Mathf.Abs(h), 1.0);	

		// If the Player is detected we move
		curSmooth = movement.speedSmoothing * Time.smoothDeltaTime;
		if (alert && !inrange) targetSpeed *= movement.runattSpeed;
		else targetSpeed *= 0.0;
		movement.hangTime = 0.0;
		movement.speed = Mathf.Lerp (movement.speed, targetSpeed, curSmooth);
	}
}